ChangeSet 1.1449, 2004/06/14 16:08:48-07:00, greg@kroah.com

USB: fix empty write issue in pl2303 driver.

Patch originally from Christian Groessler <cpg@aladdin.de> but cleaned up
by me.


 drivers/usb/serial/pl2303.c |    3 +++
 1 files changed, 3 insertions(+)


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Tue Jun 15 10:12:19 2004
+++ b/drivers/usb/serial/pl2303.c	Tue Jun 15 10:12:19 2004
@@ -198,6 +198,9 @@
 
 	dbg("%s - port %d, %d bytes", __FUNCTION__, port->number, count);
 
+	if (!count)
+		return count;
+
 	if (port->write_urb->status == -EINPROGRESS) {
 		dbg("%s - already writing", __FUNCTION__);
 		return 0;
